tigase.jaxmpp.core.client.xmpp.modules.vcard

## Class VCardModule

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaModule<Stanza>
  - - tigase.jaxmpp.core.client.xmpp.modules.vcard.VCardModule

- All Implemented Interfaces:
    ContextAware, InitializingModule, XmppModule

      public class VCardModule
      extends AbstractStanzaModule<Stanza>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `VCardModule.VCardAsyncCallback`

  - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaModule

      `context, log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VCardModule()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Criteria` | `getCriteria()` Criteria
    `String[]` | `getFeatures()` Returns features what are implemented by Module.
    `void` | `process(Stanza element)` Method for processing incoming stanza.
    `void` | `retrieveVCard(JID jid, AsyncCallback asyncCallback)`
    `void` | `retrieveVCard(JID jid, Long timeout, AsyncCallback asyncCallback)`
    `void` | `retrieveVCard(JID jid, VCardModule.VCardAsyncCallback asyncCallback)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaModule

      `afterRegister, beforeRegister, beforeUnregister, fireEvent, getFirstChild, process, setContext, write, write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VCardModule

          public VCardModule()

  - ### Method Detail

    - #### getCriteria

          public Criteria getCriteria()

      Description copied from interface: `XmppModule`
      Criteria
      Returns:

    - #### getFeatures

          public String[] getFeatures()

      Description copied from interface: `XmppModule`

      Returns features what are implemented by Module.

      See Service Discovery Features

      Returns:
        array of features

    - #### process

          public void process(Stanza element)
                       throws JaxmppException

      Description copied from class: `AbstractStanzaModule`
      Method for processing incoming stanza.
      Specified by:
        `process` in class `AbstractStanzaModule<Stanza>`
      Parameters:
        `element` - incoming stanza
      Throws:
        `JaxmppException`

    - #### retrieveVCard

          public void retrieveVCard(JID jid,
                                    AsyncCallback asyncCallback)
                             throws JaxmppException

      Throws:
        `JaxmppException`

    - #### retrieveVCard

          public void retrieveVCard(JID jid,
                                    Long timeout,
                                    AsyncCallback asyncCallback)
                             throws JaxmppException

      Throws:
        `JaxmppException`

    - #### retrieveVCard

          public void retrieveVCard(JID jid,
                                    VCardModule.VCardAsyncCallback asyncCallback)
                             throws JaxmppException

      Throws:
        `JaxmppException`

Copyright © 2006–2020 Tigase. All rights reserved.